module doodle.common.undo;

abstract class Action {
    void undo();
    void redo();
}

interface IUndoObserver {
    void canUndo(in bool value, in string description);
    void canRedo(in bool value, in string description);
}

interface IUndoManager {
    void addAction(Action action);
}
